Buildpack Binding - Get
Get a buildpack binding by name.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/buildServices/{buildServiceName}/builders/{builderName}/buildpackBindings/{buildpackBindingName}?api-version=2023-12-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
builder
|
path | True |
string |
The name of the builder resource. |
|
buildpack
|
path | True |
string |
The name of the Buildpack Binding Name |
|
build
|
path | True |
string |
The name of the build service resource. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
service
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
The name of the Service resource. |
|
subscription
|
path | True |
string |
Gets subscription ID which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. The response describes a Buildpack Binding. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
BuildpackBinding_Get
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices/default/builders/default/buildpackBindings/myBuildpackBinding?api-version=2023-12-01
Sample response
{
"properties": {
"bindingType": "ApplicationInsights",
"launchProperties": {
"properties": {
"abc": "def",
"any-string": "any-string",
"sampling-rate": "12.0"
},
"secrets": {
"connection-string": "*"
}
}
},
"systemData": {
"createdBy": "sample-user",
"createdByType": "User",
"createdAt": "2021-08-11T03:16:03.944Z",
"lastModifiedBy": "sample-user",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-11T03:17:03.944Z"
},
"type": "Microsoft.AppPlatform/Spring/buildServices/builders/buildpackBindings",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices/default/builders/default/buildpackBindings/myBuildpackBinding",
"name": "myBuildpackBinding"
}
Definitions
| Name | Description |
|---|---|
|
binding |
Buildpack Binding Type |
|
Buildpack |
Buildpack Binding Launch Properties |
|
Buildpack |
Properties of a buildpack binding |
|
Buildpack |
State of the Buildpack Binding. |
|
Buildpack |
Buildpack Binding Resource object |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
created |
The type of identity that created the resource. |
|
last |
The type of identity that last modified the resource. |
|
System |
Metadata pertaining to creation and last modification of the resource. |
bindingType
Buildpack Binding Type
| Value | Description |
|---|---|
| ApplicationInsights | |
| ApacheSkyWalking | |
| AppDynamics | |
| Dynatrace | |
| NewRelic | |
| ElasticAPM |
BuildpackBindingLaunchProperties
Buildpack Binding Launch Properties
| Name | Type | Description |
|---|---|---|
| properties |
object |
Non-sensitive properties for launchProperties |
| secrets |
object |
Sensitive properties for launchProperties |
BuildpackBindingProperties
Properties of a buildpack binding
| Name | Type | Description |
|---|---|---|
| bindingType |
Buildpack Binding Type |
|
| launchProperties |
The object describes the buildpack binding launch properties |
|
| provisioningState |
State of the Buildpack Binding. |
BuildpackBindingProvisioningState
State of the Buildpack Binding.
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Succeeded | |
| Failed | |
| Deleting |
BuildpackBindingResource
Buildpack Binding Resource object
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource Id for the resource. |
| name |
string |
The name of the resource. |
| properties |
Properties of a buildpack binding |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| type |
string |
The type of the resource. |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the service. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
lastModifiedByType
The type of identity that last modified the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
SystemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource modification (UTC). |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |